From 524d108ca2c0f06375993dc6f7023dfb1dbd016d Mon Sep 17 00:00:00 2001
From: Abhishek Dasgupta <abhidg@gmail.com>
Date: Sun, 24 May 2009 12:15:57 +0530
Subject: [PATCH] Add URL to get maintainer of a package


Signed-off-by: Abhishek Dasgupta <abhidg@gmail.com>
---
 packages/views.py |   11 +++++++++++
 urls.py           |    3 ++-
 2 files changed, 13 insertions(+), 1 deletions(-)

diff --git a/packages/views.py b/packages/views.py
index 3e15301..c476479 100644
--- a/packages/views.py
+++ b/packages/views.py
@@ -24,6 +24,17 @@ def details(request, name='', repo='', arch=''):
         return HttpResponseRedirect("/packages/?arch=%s&repo=%s&q=%s" % (
             arch.lower(), repo.title(), name))
 
+def getmaintainer(request, name, repo, arch):
+	"Returns the maintainer as a plaintext."
+
+	pkg= get_object_or_404(Package, 
+			pkgname=name, repo__name__iexact=repo, arch__name=arch)
+
+	if pkg.maintainer:
+		return pkg.maintainer
+	else:
+		return "None"
+ 
 class PackageSearchForm(forms.Form):
     repo = forms.ChoiceField(required=False)
     arch = forms.ChoiceField(required=False)
diff --git a/urls.py b/urls.py
index 8154eed..22eb6d0 100644
--- a/urls.py
+++ b/urls.py
@@ -31,7 +31,8 @@ urlpatterns = patterns('',
     (r'^packages/$', 'archweb_pub.packages.views.search'),
     (r'^packages/(?P<repo>[A-z0-9]+)/(?P<arch>[\S]+)/(?P<name>[A-z0-9\-+.]+)/$',
         'archweb_pub.packages.views.details'),
-
+    (r'^packages/(?P<repo>[A-z0-9]+)/(?P<arch>[\S]+)/(?P<name>[A-z0-9\-+.]+)/maintainer$',
+        'archweb_pub.packages.views.getmaintainer'),
     (r'^news/(\d+)/$', 'archweb_pub.news.views.view'),
     (r'^news/$', 'archweb_pub.news.views.list'),
     (r'^mirrorlist/$', 'archweb_pub.mirrors.views.choose'),
-- 
1.6.3.1

